Index: trunk/admin/modules/Elezioni/ele_consultazionitipi.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_consultazionitipi.php	(revision 254)
+++ trunk/admin/modules/Elezioni/ele_consultazionitipi.php	(revision 257)
@@ -12,7 +12,6 @@
     die ("You can't access this file directly...");
 }
-
+global $dbi;
 $aid=$_SESSION['aid'];
-$dbi=$_SESSION['dbi'];
 $prefix=$_SESSION['prefix'];
 $param=strtolower($_SERVER['REQUEST_METHOD']) == 'get' ? $_GET : $_POST;
@@ -21,6 +20,8 @@
 //if ($perms<128 or !$id_cons_gen) die("Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
 if ($perms!=256) die("Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
-$res = mysql_query("SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen=$id_cons_gen " , $dbi);
-list($tipo_cons) = mysql_fetch_row($res);
+$sql="SELECT tipo_cons FROM ".$prefix."_ele_consultazione where id_cons_gen=$id_cons_gen ";
+$res = $dbi->prepare("$sql");
+$res->execute();	
+list($tipo_cons) = $res->fetch(PDO::FETCH_NUM);
 
 if (isset($param['min'])) $min=intval($param['min']); else $min=0;
@@ -91,6 +92,8 @@
 	echo "</script>\n";
 	if ($do == "modify") {
-		$rest = mysql_query("SELECT * FROM ".$prefix."_ele_tipo where tipo_cons='$tipocons' and lingua='$language'", $dbi);
-		$pro_t=mysql_fetch_array($rest, 3);
+		$sql="SELECT * FROM ".$prefix."_ele_tipo where tipo_cons='$tipocons' and lingua='$language'";
+		$rest = $dbi->prepare("$sql");
+		$rest->execute();
+		$pro_t=$rest->fetch(PDO::FETCH_BOTH);
 
 		echo "<form name=\"consultazione\" method=\"post\" action=\"admin.php\" >"
@@ -150,10 +153,8 @@
 	."<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._FUNZIONI."</b></td></tr>";
 
-		$result = mysql_query("SELECT tipo_cons,descrizione FROM ".$prefix."_ele_tipo where lingua='$language' LIMIT $min,$offset", $dbi);
-		
-
-
-
-	while(list($tipocons, $descr_cons) = mysql_fetch_row($result)) {
+	$sql="SELECT tipo_cons,descrizione FROM ".$prefix."_ele_tipo where lingua='$language' LIMIT $min,$offset";
+	$result = $dbi->prepare("$sql");
+	$result->execute();
+	while(list($tipocons, $descr_cons) = $result->fetch(PDO::FETCH_NUM)) {
 		
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
@@ -173,6 +174,8 @@
 	}
 	$next=$min+$offset;
-	$res = mysql_query("SELECT * FROM ".$prefix."_ele_tipo where lingua='$language' " , $dbi);
-	$max = mysql_num_rows($res);
+	$sql="SELECT * FROM ".$prefix."_ele_tipo where lingua='$language' ";
+	$res = $dbi->prepare("$sql");
+	$res->execute();	
+	$max = $res->rowCount();
 	if ($next>=($offset-1)) {
 		if($next>=$max) $next = $max;
@@ -208,15 +211,21 @@
 				$voticandi=$voticandi=='true'? 1:0;
 				$circo=$circo=='true'? 1:0;
-				$result = mysql_query("select max(tipo_cons) from ".$prefix."_ele_tipo where lingua='$language'", $dbi);
-				list($max)=mysql_fetch_row($result);
+				$sql="select max(tipo_cons) from ".$prefix."_ele_tipo where lingua='$language'";
+				$result = $dbi->prepare("$sql");
+				$result->execute();				
+				list($max)=$result->fetch(PDO::FETCH_NUM);
 				$max++;
 
-				$result = mysql_query("insert into ".$prefix."_ele_tipo (tipo_cons,descrizione,lingua,genere,voto_g,voto_l,voto_c,circo) values ('$max','$descr_cons2','$language','$genere','$votigruppo','$votilista','$voticandi','$circo')", $dbi) || die("Errore di inserimento: ".mysql_error());
+				$sql="insert into ".$prefix."_ele_tipo (tipo_cons,descrizione,lingua,genere,voto_g,voto_l,voto_c,circo) values ('$max','$descr_cons2','$language','$genere','$votigruppo','$votilista','$voticandi','$circo')";
+				$result = $dbi->prepare("$sql");
+				$result->execute();				
 
 
 			}
 		}else if ($do == "update") {
-			$result = mysql_query("update  ".$prefix."_ele_tipo set descrizione='$descr_cons2' WHERE tipo_cons='$tipocons' and lingua='$language'", $dbi);
-			if (!$result) return;
+			$sql="update  ".$prefix."_ele_tipo set descrizione='$descr_cons2' WHERE tipo_cons='$tipocons' and lingua='$language'";
+			$result = $dbi->prepare("$sql");
+			$result->execute();				
+			if (!$result->rowCount()) return;
 			Header("Location: admin.php?op=constipi&id_cons_gen=$id_cons_gen");
    		}
